<?php
	
	/*-------------------First highlight color----------------*/

	$vw_photography_first_color = get_theme_mod('vw_photography_first_color');

	$vw_photography_custom_css = '';

	if($vw_photography_first_color != false){
		$vw_photography_custom_css .='#slider .carousel-control-prev-icon, #slider .carousel-control-next-icon, .more-btn, .content-bttn, .error-btn, .more-btn:after, .content-bttn:after, .error-btn:after, .scrollup i, .title-btn, .title-btn:after, input[type="submit"], #footer .tagcloud a:hover, #sidebar .custom-social-icons i, #footer .custom-social-icons i, #footer-2, #sidebar input[type="submit"], #sidebar .tagcloud a:hover, nav.woocommerce-MyAccount-navigation ul li, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .pagination span, .pagination a, .cat_body:hover, #comments a.comment-reply-link, .toggle-nav i, #footer .widget_price_filter .ui-slider .ui-slider-range, #footer .widget_price_filter .ui-slider .ui-slider-handle, #footer .woocommerce-product-search button, #sidebar .woocommerce-product-search button, #sidebar .widget_price_filter .ui-slider .ui-slider-range, #sidebar .widget_price_filter .ui-slider .ui-slider-handle, #footer a.custom_read_more, #sidebar a.custom_read_more, a.custom_read_more:after, .nav-next a, .nav-previous a, .woocommerce nav.woocommerce-pagination ul li a, #preloader, #footer .wp-block-search .wp-block-search__button, #sidebar .wp-block-search .wp-block-search__button{';
			$vw_photography_custom_css .='background-color: '.esc_attr($vw_photography_first_color).';';
		$vw_photography_custom_css .='}';
	}
	if($vw_photography_first_color != false){
		$vw_photography_custom_css .='#comments input[type="submit"].submit{';
			$vw_photography_custom_css .='background-color: '.esc_attr($vw_photography_first_color).'!important;';
		$vw_photography_custom_css .='}';
	}
	if($vw_photography_first_color != false){
		$vw_photography_custom_css .='a, #footer h3, #footer .custom-social-icons i:hover, .woocommerce-info::before, .woocommerce-message::before, .post-main-box:hover h3 a, .post-navigation a:hover .post-title, .post-navigation a:focus .post-title,#footer li a:hover, .page-template-custom-home-page #header .main-navigation ul li a:hover, .main-navigation a:hover, .main-navigation ul.sub-menu a:hover, .entry-content a, #sidebar .textwidget p a, .textwidget p a, #comments p a, .slider .inner_carousel p a, .search-box i, .post-main-box:hover h2 a, #sidebar ul li a, .post-main-box:hover .post-info a, .single-post .post-info:hover a, .page-template-custom-home-page .logo .site-title a:hover, .logo .site-title a:hover, #slider .inner_carousel h1 a:hover, #footer .wp-block-search .wp-block-search__label{';
			$vw_photography_custom_css .='color: '.esc_attr($vw_photography_first_color).';';
		$vw_photography_custom_css .='}';
	}
	if($vw_photography_first_color != false){
		$vw_photography_custom_css .='{';
			$vw_photography_custom_css .='border-color: '.esc_attr($vw_photography_first_color).'!important;';
		$vw_photography_custom_css .='}';
	}
	if($vw_photography_first_color != false){
		$vw_photography_custom_css .='.woocommerce-info, .woocommerce-message, .post-info hr, .main-navigation ul ul{';
			$vw_photography_custom_css .='border-top-color: '.esc_attr($vw_photography_first_color).';';
		$vw_photography_custom_css .='}';
	}
	if($vw_photography_first_color != false){
		$vw_photography_custom_css .='.main-navigation ul ul{';
			$vw_photography_custom_css .='border-bottom-color: '.esc_attr($vw_photography_first_color).';';
		$vw_photography_custom_css .='}';
	}

	$vw_photography_custom_css .='@media screen and (max-width:720px) {';
		if($vw_photography_first_color != false){
			$vw_photography_custom_css .='.search-box i{
			background-color:'.esc_attr($vw_photography_first_color).';
			}';
		}
	$vw_photography_custom_css .='}';

	/*---------------Second highlight color-------------------*/

	$vw_photography_second_color = get_theme_mod('vw_photography_second_color');

	if($vw_photography_second_color != false){
		$vw_photography_custom_css .='#footer, #sidebar .custom-social-icons i:hover, .pagination .current, .pagination a:hover, .woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, .woocommerce span.onsale, .header-fixed, #header, .nav-previous a:hover, .nav-next a:hover, .woocommerce nav.woocommerce-pagination ul li a:hover, .woocommerce nav.woocommerce-pagination ul li span.current{';
			$vw_photography_custom_css .='background-color: '.esc_attr($vw_photography_second_color).';';
		$vw_photography_custom_css .='}';
	}

	if($vw_photography_second_color != false){
		$vw_photography_custom_css .='.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover{';
			$vw_photography_custom_css .='background-color: '.esc_attr($vw_photography_second_color).'!important;';
		$vw_photography_custom_css .='}';
	}

	if($vw_photography_second_color != false){
		$vw_photography_custom_css .='a:hover, .page-template-custom-home-page .logo h1 a, .page-template-custom-home-page .logo p.site-title a,  .page-template-custom-home-page p.site-description, .cat-page-box h2, .cat-page-box i, .content-vw h1, .post-main-box h3 a, #sidebar h3, h2.woocommerce-loop-product__title, .woocommerce div.product .product_title, .woocommerce ul.products li.product .price, .woocommerce div.product p.price, .woocommerce div.product span.price, .content-vw h2, .post-info, h2#reply-title, .post-navigation a, h1, h2, h3, h4, h5, h6, nav.woocommerce-MyAccount-navigation ul li a:hover, .copyright a:hover{';
			$vw_photography_custom_css .='color: '.esc_attr($vw_photography_second_color).';';
		$vw_photography_custom_css .='}';
	}
	if($vw_photography_second_color != false){
		$vw_photography_custom_css .='{';
			$vw_photography_custom_css .='border-bottom-color: '.esc_attr($vw_photography_second_color).';';
		$vw_photography_custom_css .='}';
	}
	
	/*---------------------------Width Layout -------------------*/

	$vw_photography_theme_lay = get_theme_mod( 'vw_photography_width_option','Full Width');
    if($vw_photography_theme_lay == 'Boxed'){
		$vw_photography_custom_css .='body{';
			$vw_photography_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$vw_photography_custom_css .='}';
		$vw_photography_custom_css .='.scrollup i{';
			$vw_photography_custom_css .='right: 100px;';
		$vw_photography_custom_css .='}';
		$vw_photography_custom_css .='.scrollup.left i{';
			$vw_photography_custom_css .='left: 100px;';
		$vw_photography_custom_css .='}';
	}else if($vw_photography_theme_lay == 'Wide Width'){
		$vw_photography_custom_css .='body{';
			$vw_photography_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$vw_photography_custom_css .='}';
		$vw_photography_custom_css .='.scrollup i{';
			$vw_photography_custom_css .='right: 30px;';
		$vw_photography_custom_css .='}';
		$vw_photography_custom_css .='.scrollup.left i{';
			$vw_photography_custom_css .='left: 30px;';
		$vw_photography_custom_css .='}';
	}else if($vw_photography_theme_lay == 'Full Width'){
		$vw_photography_custom_css .='body{';
			$vw_photography_custom_css .='max-width: 100%;';
		$vw_photography_custom_css .='}';
	}

	/*--------------------------- Slider Opacity -------------------*/

	$vw_photography_theme_lay = get_theme_mod( 'vw_photography_slider_opacity_color','0.5');
	if($vw_photography_theme_lay == '0'){
		$vw_photography_custom_css .='#slider img{';
			$vw_photography_custom_css .='opacity:0';
		$vw_photography_custom_css .='}';
		}else if($vw_photography_theme_lay == '0.1'){
		$vw_photography_custom_css .='#slider img{';
			$vw_photography_custom_css .='opacity:0.1';
		$vw_photography_custom_css .='}';
		}else if($vw_photography_theme_lay == '0.2'){
		$vw_photography_custom_css .='#slider img{';
			$vw_photography_custom_css .='opacity:0.2';
		$vw_photography_custom_css .='}';
		}else if($vw_photography_theme_lay == '0.3'){
		$vw_photography_custom_css .='#slider img{';
			$vw_photography_custom_css .='opacity:0.3';
		$vw_photography_custom_css .='}';
		}else if($vw_photography_theme_lay == '0.4'){
		$vw_photography_custom_css .='#slider img{';
			$vw_photography_custom_css .='opacity:0.4';
		$vw_photography_custom_css .='}';
		}else if($vw_photography_theme_lay == '0.5'){
		$vw_photography_custom_css .='#slider img{';
			$vw_photography_custom_css .='opacity:0.5';
		$vw_photography_custom_css .='}';
		}else if($vw_photography_theme_lay == '0.6'){
		$vw_photography_custom_css .='#slider img{';
			$vw_photography_custom_css .='opacity:0.6';
		$vw_photography_custom_css .='}';
		}else if($vw_photography_theme_lay == '0.7'){
		$vw_photography_custom_css .='#slider img{';
			$vw_photography_custom_css .='opacity:0.7';
		$vw_photography_custom_css .='}';
		}else if($vw_photography_theme_lay == '0.8'){
		$vw_photography_custom_css .='#slider img{';
			$vw_photography_custom_css .='opacity:0.8';
		$vw_photography_custom_css .='}';
		}else if($vw_photography_theme_lay == '0.9'){
		$vw_photography_custom_css .='#slider img{';
			$vw_photography_custom_css .='opacity:0.9';
		$vw_photography_custom_css .='}';
		}

	/*---------------Slider Content Layout -------------------*/

	$vw_photography_theme_lay = get_theme_mod( 'vw_photography_slider_content_option','Center');
    if($vw_photography_theme_lay == 'Left'){
		$vw_photography_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p{';
			$vw_photography_custom_css .='text-align:left; left:15%; right:45%;';
		$vw_photography_custom_css .='}';
	}else if($vw_photography_theme_lay == 'Center'){
		$vw_photography_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p{';
			$vw_photography_custom_css .='text-align:center; left:20%; right:20%;';
		$vw_photography_custom_css .='}';
	}else if($vw_photography_theme_lay == 'Right'){
		$vw_photography_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p{';
			$vw_photography_custom_css .='text-align:right; left:45%; right:15%;';
		$vw_photography_custom_css .='}';
	}

	/*---------------------------Slider Height ------------*/

	$vw_photography_slider_height = get_theme_mod('vw_photography_slider_height');
	if($vw_photography_slider_height != false){
		$vw_photography_custom_css .='#slider img{';
			$vw_photography_custom_css .='height: '.esc_attr($vw_photography_slider_height).';';
		$vw_photography_custom_css .='}';
	}

	/*--------------------------- Slider -------------------*/

	$vw_photography_slider = get_theme_mod('vw_photography_slider_hide_show');
	if($vw_photography_slider == false){
		$vw_photography_custom_css .='.page-template-custom-home-page #header{';
			$vw_photography_custom_css .='position: static; padding: 20px;';
		$vw_photography_custom_css .='}';
		$vw_photography_custom_css .='.page-template-custom-home-page .logo{';
			$vw_photography_custom_css .='position: static; margin-top: 20px;';
		$vw_photography_custom_css .='}';
	}

	/*---------------------------Blog Layout -------------------*/

	$vw_photography_theme_lay = get_theme_mod( 'vw_photography_blog_layout_option','Default');
    if($vw_photography_theme_lay == 'Default'){
		$vw_photography_custom_css .='.post-main-box{';
			$vw_photography_custom_css .='';
		$vw_photography_custom_css .='}';
	}else if($vw_photography_theme_lay == 'Center'){
		$vw_photography_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, .content-bttn, #our-services p{';
			$vw_photography_custom_css .='text-align:center;';
		$vw_photography_custom_css .='}';
		$vw_photography_custom_css .='.post-info{';
			$vw_photography_custom_css .='margin-top:10px;';
		$vw_photography_custom_css .='}';
		$vw_photography_custom_css .='.post-info hr{';
			$vw_photography_custom_css .='margin:15px auto;';
		$vw_photography_custom_css .='}';
	}else if($vw_photography_theme_lay == 'Left'){
		$vw_photography_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, .content-bttn, #our-services p{';
			$vw_photography_custom_css .='text-align:Left;';
		$vw_photography_custom_css .='}';
	}

	/*------------------------------Responsive Media -----------------------*/

	$vw_photography_resp_stickyheader = get_theme_mod( 'vw_photography_stickyheader_hide_show',false);
	if($vw_photography_resp_stickyheader == true && get_theme_mod( 'vw_photography_sticky_header',false) != true){
    	$vw_photography_custom_css .='.page-template-custom-home-page .header-fixed, .header-fixed{';
			$vw_photography_custom_css .='position:static;';
		$vw_photography_custom_css .='} ';
	}
    if($vw_photography_resp_stickyheader == true){
    	$vw_photography_custom_css .='@media screen and (max-width:575px) {';
		$vw_photography_custom_css .='.page-template-custom-home-page .header-fixed, .header-fixed{';
			$vw_photography_custom_css .='position:fixed !important;';
		$vw_photography_custom_css .='} }';
	}else if($vw_photography_resp_stickyheader == false){
		$vw_photography_custom_css .='@media screen and (max-width:575px){';
		$vw_photography_custom_css .='.page-template-custom-home-page .header-fixed, .header-fixed{';
			$vw_photography_custom_css .='position:static;';
		$vw_photography_custom_css .='} }';
	}

	$vw_photography_resp_slider = get_theme_mod( 'vw_photography_resp_slider_hide_show',false);
	if($vw_photography_resp_slider == true && get_theme_mod( 'vw_photography_slider_hide_show', false) == false){
    	$vw_photography_custom_css .='#slider{';
			$vw_photography_custom_css .='display:none;';
		$vw_photography_custom_css .='} ';
	}
    if($vw_photography_resp_slider == true){
    	$vw_photography_custom_css .='@media screen and (max-width:575px) {';
		$vw_photography_custom_css .='#slider{';
			$vw_photography_custom_css .='display:block;';
		$vw_photography_custom_css .='} }';
	}else if($vw_photography_resp_slider == false){
		$vw_photography_custom_css .='@media screen and (max-width:575px) {';
		$vw_photography_custom_css .='#slider{';
			$vw_photography_custom_css .='display:none;';
		$vw_photography_custom_css .='} }';
	}

	$vw_photography_resp_sidebar = get_theme_mod( 'vw_photography_sidebar_hide_show',true);
    if($vw_photography_resp_sidebar == true){
    	$vw_photography_custom_css .='@media screen and (max-width:575px) {';
		$vw_photography_custom_css .='#sidebar{';
			$vw_photography_custom_css .='display:block;';
		$vw_photography_custom_css .='} }';
	}else if($vw_photography_resp_sidebar == false){
		$vw_photography_custom_css .='@media screen and (max-width:575px) {';
		$vw_photography_custom_css .='#sidebar{';
			$vw_photography_custom_css .='display:none;';
		$vw_photography_custom_css .='} }';
	}

	$vw_photography_resp_scroll_top = get_theme_mod( 'vw_photography_resp_scroll_top_hide_show',true);
	if($vw_photography_resp_scroll_top == true && get_theme_mod( 'vw_photography_hide_show_scroll',true) != true){
    	$vw_photography_custom_css .='.scrollup i{';
			$vw_photography_custom_css .='visibility:hidden !important;';
		$vw_photography_custom_css .='} ';
	}
    if($vw_photography_resp_scroll_top == true){
    	$vw_photography_custom_css .='@media screen and (max-width:575px) {';
		$vw_photography_custom_css .='.scrollup i{';
			$vw_photography_custom_css .='visibility:visible !important;';
		$vw_photography_custom_css .='} }';
	}else if($vw_photography_resp_scroll_top == false){
		$vw_photography_custom_css .='@media screen and (max-width:575px){';
		$vw_photography_custom_css .='.scrollup i{';
			$vw_photography_custom_css .='visibility:hidden !important;';
		$vw_photography_custom_css .='} }';
	}

	/*-------------- Sticky Header Padding ----------------*/

	$vw_photography_sticky_header_padding = get_theme_mod('vw_photography_sticky_header_padding');
	if($vw_photography_sticky_header_padding != false){
		$vw_photography_custom_css .='.page-template-custom-home-page .header-fixed, .header-fixed{';
			$vw_photography_custom_css .='padding: '.esc_attr($vw_photography_sticky_header_padding).';';
		$vw_photography_custom_css .='}';
	}

	/*------------------ Search Settings -----------------*/
	
	$vw_photography_search_font_size = get_theme_mod('vw_photography_search_font_size');
	if($vw_photography_search_font_size != false){
		$vw_photography_custom_css .='.search-box i{';
			$vw_photography_custom_css .='font-size: '.esc_attr($vw_photography_search_font_size).';';
		$vw_photography_custom_css .='}';
	}

	/*------------- Single Blog Page------------------*/

	$vw_photography_single_blog_post_navigation_show_hide = get_theme_mod('vw_photography_single_blog_post_navigation_show_hide',true);
	if($vw_photography_single_blog_post_navigation_show_hide != true){
		$vw_photography_custom_css .='.post-navigation{';
			$vw_photography_custom_css .='display: none;';
		$vw_photography_custom_css .='}';
	}

	/*-------------- Copyright Alignment ----------------*/

	$vw_photography_copyright_font_size = get_theme_mod('vw_photography_copyright_font_size');
	if($vw_photography_copyright_font_size != false){
		$vw_photography_custom_css .='.copyright p{';
			$vw_photography_custom_css .='font-size: '.esc_attr($vw_photography_copyright_font_size).';';
		$vw_photography_custom_css .='}';
	}

	$vw_photography_copyright_padding_top_bottom = get_theme_mod('vw_photography_copyright_padding_top_bottom');
	if($vw_photography_copyright_padding_top_bottom != false){
		$vw_photography_custom_css .='#footer-2{';
			$vw_photography_custom_css .='padding-top: '.esc_attr($vw_photography_copyright_padding_top_bottom).'; padding-bottom: '.esc_attr($vw_photography_copyright_padding_top_bottom).';';
		$vw_photography_custom_css .='}';
	}

	$vw_photography_copyright_alignment = get_theme_mod('vw_photography_copyright_alignment');
	if($vw_photography_copyright_alignment != false){
		$vw_photography_custom_css .='.copyright p{';
			$vw_photography_custom_css .='text-align: '.esc_attr($vw_photography_copyright_alignment).';';
		$vw_photography_custom_css .='}';
	}

	/*----------------Sroll to top Settings ------------------*/

	$vw_photography_scroll_to_top_font_size = get_theme_mod('vw_photography_scroll_to_top_font_size');
	if($vw_photography_scroll_to_top_font_size != false){
		$vw_photography_custom_css .='.scrollup i{';
			$vw_photography_custom_css .='font-size: '.esc_attr($vw_photography_scroll_to_top_font_size).';';
		$vw_photography_custom_css .='}';
	}

	$vw_photography_scroll_to_top_padding = get_theme_mod('vw_photography_scroll_to_top_padding');
	$vw_photography_scroll_to_top_padding = get_theme_mod('vw_photography_scroll_to_top_padding');
	if($vw_photography_scroll_to_top_padding != false){
		$vw_photography_custom_css .='.scrollup i{';
			$vw_photography_custom_css .='padding-top: '.esc_attr($vw_photography_scroll_to_top_padding).';padding-bottom: '.esc_attr($vw_photography_scroll_to_top_padding).';';
		$vw_photography_custom_css .='}';
	}

	$vw_photography_scroll_to_top_width = get_theme_mod('vw_photography_scroll_to_top_width');
	if($vw_photography_scroll_to_top_width != false){
		$vw_photography_custom_css .='.scrollup i{';
			$vw_photography_custom_css .='width: '.esc_attr($vw_photography_scroll_to_top_width).';';
		$vw_photography_custom_css .='}';
	}

	$vw_photography_scroll_to_top_height = get_theme_mod('vw_photography_scroll_to_top_height');
	if($vw_photography_scroll_to_top_height != false){
		$vw_photography_custom_css .='.scrollup i{';
			$vw_photography_custom_css .='height: '.esc_attr($vw_photography_scroll_to_top_height).';';
		$vw_photography_custom_css .='}';
	}

	$vw_photography_scroll_to_top_border_radius = get_theme_mod('vw_photography_scroll_to_top_border_radius');
	if($vw_photography_scroll_to_top_border_radius != false){
		$vw_photography_custom_css .='.scrollup i{';
			$vw_photography_custom_css .='border-radius: '.esc_attr($vw_photography_scroll_to_top_border_radius).'px;';
		$vw_photography_custom_css .='}';
	}

	/*----------------Social Icons Settings ------------------*/

	$vw_photography_social_icon_font_size = get_theme_mod('vw_photography_social_icon_font_size');
	if($vw_photography_social_icon_font_size != false){
		$vw_photography_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$vw_photography_custom_css .='font-size: '.esc_attr($vw_photography_social_icon_font_size).';';
		$vw_photography_custom_css .='}';
	}

	$vw_photography_social_icon_padding = get_theme_mod('vw_photography_social_icon_padding');
	if($vw_photography_social_icon_padding != false){
		$vw_photography_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$vw_photography_custom_css .='padding: '.esc_attr($vw_photography_social_icon_padding).';';
		$vw_photography_custom_css .='}';
	}

	$vw_photography_social_icon_width = get_theme_mod('vw_photography_social_icon_width');
	if($vw_photography_social_icon_width != false){
		$vw_photography_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$vw_photography_custom_css .='width: '.esc_attr($vw_photography_social_icon_width).';';
		$vw_photography_custom_css .='}';
	}

	$vw_photography_social_icon_height = get_theme_mod('vw_photography_social_icon_height');
	if($vw_photography_social_icon_height != false){
		$vw_photography_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$vw_photography_custom_css .='height: '.esc_attr($vw_photography_social_icon_height).';';
		$vw_photography_custom_css .='}';
	}

	$vw_photography_social_icon_border_radius = get_theme_mod('vw_photography_social_icon_border_radius');
	if($vw_photography_social_icon_border_radius != false){
		$vw_photography_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$vw_photography_custom_css .='border-radius: '.esc_attr($vw_photography_social_icon_border_radius).'px;';
		$vw_photography_custom_css .='}';
	}

	/*----------------Woocommerce Products Settings ------------------*/

	$vw_photography_products_padding_top_bottom = get_theme_mod('vw_photography_products_padding_top_bottom');
	if($vw_photography_products_padding_top_bottom != false){
		$vw_photography_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_photography_custom_css .='padding-top: '.esc_attr($vw_photography_products_padding_top_bottom).'!important; padding-bottom: '.esc_attr($vw_photography_products_padding_top_bottom).'!important;';
		$vw_photography_custom_css .='}';
	}

	$vw_photography_products_padding_left_right = get_theme_mod('vw_photography_products_padding_left_right');
	if($vw_photography_products_padding_left_right != false){
		$vw_photography_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_photography_custom_css .='padding-left: '.esc_attr($vw_photography_products_padding_left_right).'!important; padding-right: '.esc_attr($vw_photography_products_padding_left_right).'!important;';
		$vw_photography_custom_css .='}';
	}

	$vw_photography_products_box_shadow = get_theme_mod('vw_photography_products_box_shadow');
	if($vw_photography_products_box_shadow != false){
		$vw_photography_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
				$vw_photography_custom_css .='box-shadow: '.esc_attr($vw_photography_products_box_shadow).'px '.esc_attr($vw_photography_products_box_shadow).'px '.esc_attr($vw_photography_products_box_shadow).'px #ddd;';
		$vw_photography_custom_css .='}';
	}

	$vw_photography_products_border_radius = get_theme_mod('vw_photography_products_border_radius', 0);
	if($vw_photography_products_border_radius != false){
		$vw_photography_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_photography_custom_css .='border-radius: '.esc_attr($vw_photography_products_border_radius).'px;';
		$vw_photography_custom_css .='}';
	}

	$vw_photography_products_button_border_radius = get_theme_mod('vw_photography_products_button_border_radius', 0);
	if($vw_photography_products_button_border_radius != false){
		$vw_photography_custom_css .='.woocommerce ul.products li.product .button, a.checkout-button.button.alt.wc-forward,.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt{';
			$vw_photography_custom_css .='border-radius: '.esc_attr($vw_photography_products_button_border_radius).'px;';
		$vw_photography_custom_css .='}';
	}

	$vw_photography_woocommerce_sale_font_size = get_theme_mod('vw_photography_woocommerce_sale_font_size');
	if($vw_photography_woocommerce_sale_font_size != false){
		$vw_photography_custom_css .='.woocommerce span.onsale{';
			$vw_photography_custom_css .='font-size: '.esc_attr($vw_photography_woocommerce_sale_font_size).';';
		$vw_photography_custom_css .='}';
	}

	$vw_photography_woocommerce_sale_border_radius = get_theme_mod('vw_photography_woocommerce_sale_border_radius', 100);
	if($vw_photography_woocommerce_sale_border_radius != false){
		$vw_photography_custom_css .='.woocommerce span.onsale{';
			$vw_photography_custom_css .='border-radius: '.esc_attr($vw_photography_woocommerce_sale_border_radius).'px;';
		$vw_photography_custom_css .='}';
	}

	/*------------------ Logo  -------------------*/

	// Site title Font Size
	$vw_photography_site_title_font_size = get_theme_mod('vw_photography_site_title_font_size');
	if($vw_photography_site_title_font_size != false){
		$vw_photography_custom_css .='.logo h1 a, .logo p.site-title a{';
			$vw_photography_custom_css .='font-size: '.esc_attr($vw_photography_site_title_font_size).';';
		$vw_photography_custom_css .='}';
	}

	// Site tagline Font Size
	$vw_photography_site_tagline_font_size = get_theme_mod('vw_photography_site_tagline_font_size');
	if($vw_photography_site_tagline_font_size != false){
		$vw_photography_custom_css .='.logo p.site-description{';
			$vw_photography_custom_css .='font-size: '.esc_attr($vw_photography_site_tagline_font_size).';';
		$vw_photography_custom_css .='}';
	}

	/*------------------ Preloader Background Color  -------------------*/

	$vw_photography_preloader_bg_color = get_theme_mod('vw_photography_preloader_bg_color');
	if($vw_photography_preloader_bg_color != false){
		$vw_photography_custom_css .='#preloader{';
			$vw_photography_custom_css .='background-color: '.esc_attr($vw_photography_preloader_bg_color).';';
		$vw_photography_custom_css .='}';
	}

	$vw_photography_preloader_border_color = get_theme_mod('vw_photography_preloader_border_color');
	if($vw_photography_preloader_border_color != false){
		$vw_photography_custom_css .='.loader-line{';
			$vw_photography_custom_css .='border-color: '.esc_attr($vw_photography_preloader_border_color).'!important;';
		$vw_photography_custom_css .='}';
	}
